# The Export Webhook

The data in the webhook payload is structured in two arrays: `metadata` and `metadata_dictionary`. The `metadata` includes the information specific to this request, including the link to the file of records and the configuration of the inclusion variables. The `metadata_dictionary` describes the webhook app set up, including the possible inclusion variables and their values.

The actual records are available in the file at the link provided, in csv format. There may be up to 100k records + a header row. The file expires in 7 days. New columns may be added to the file at any time, but the names will not change on existing columns unless notification is provided.

```json
{
    "metadata_dictionary": {
      "id": 4, //internal id for your export app
      "user_id": 226547, //internal id of the requestor
      "account_id": 225496, //internal id of the account
      "app_name": "ACME Co CRM", //user-facing app name
      "request_type": "CONTACTS", //type of records supported
      "webhook_url": "https://d20701c1dd29d419696031f41977b38f.m.pipedream.net", //receiver url
      "status": "ACTIVE", //app status
      "availability": "ENABLED_FOR_ADMINS", //app availability for end user use
      "notification_type": "EMAIL", //failure notification channel (currently supports email only)
      "include_contact_type": true, //contact type setting enabled
      "is_contact_type_required": null, //contact type setting requirement
      "include_contact_owner": true, //contact owner setting enabled
      "contact_owner_contact_type": "USE_LIST", //contact owner setting source
      "is_contact_owner_required": false, //contact owner setting requirement
      "include_account_owner": null, //account owner setting enabled
      "account_owner_contact_type": null, //account owner setting source
      "is_account_owner_required": null, //account owner setting requirement
      "is_add_to_campaign_workflow": true, //contact add to campaign setting enabled
      "is_campaign_workflow_required": true, //contact add to campaign setting requirement
      "contact_type_names": [], //contact type list options
      "contact_owner_names": [], //contact owner list options if "USE_LIST" is selected
      "account_owner_names": [], //account owner list options if "USE_LIST" is selected
      "campaign_workflow_names": [] //campaign list options
    },
    "metadata": { 
      "id": 12, 
      "webhooks_contact_type": {
        "id": 3,
        "contact_type": "Contact", //contact type value selected by user for this export; may be null
        "status": "ACTIVE"
      },
      "webhooks_contact_owner": {
        "id": 1,
        "contact_owner": "Jane Smith", //contact owner value selected/assigned for this export; may be null
        "status": "ACTIVE"
      },
      "webhooks_account_owner": null, //account owner values selected/assigned for this export; may be null
      "webhooks_campaign_workflow": {
        "id": 1,
        "campaign_workflow": "Upcoming Conferences", //campaign value selected by user for this export; may be null
        "status": "ACTIVE"
      },
      "job_id": 9,
      "export_url": "https://si-prod-offline-exports.s3.amazonaws.com/csv/contacts_6232023_0457pm_20230623-205703.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20230623T205703Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604799&X-Amz-Credential=AKIA4EEHSVO4PV7RYAXY%2F20230623%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=4c79a3bd2509d096a8d4a97876de8b1816d7c121dbec57bfd5302450222615a9", //url where exported records can found; file will be csv and expires in 7 days
      "record_count": 3, //total records in file
      "created_date":"2023-06-17T10:15:26.939000",
      "finished_date":"2023-06-27T10:15:27.452000"
    }
  }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.salesintel.io/salesintel-api-documentation/webhooks-and-export-apps/the-export-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
